﻿<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE Testplan SYSTEM "testplan.dtd">
<Testplan>
  <BlockDefinitions>
    <Block id="B_NetworkAnalyzer" type="Device" category="User Blocks" parent="User" visible="True" description="">
      <Ports>
        <InPort id="Analyzer_In" />
        <OutPort id="Measurement_Control" />
        <OutPort id="Slave_Control" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Init" name="Init" exectime="TestrunBefore" description="Provides SysConf parameter. Should only contain communication and device parameter required for initialization.">
          <Reply id="ReplyMessage" name="ReplyMessage" type="char[SHORTNAMELENGTH]" value="" description="" />
          <Parameter id="ForceScpi" name="Force sending SCPI commands." type="bool" value="true" description="" />
          <Parameter id="VisaResource" name="Visa Resource" type="char[SHORTNAMELENGTH]" value="TCPIP::127.0.0.1" regex="^(GPIB::\b\d{1,2}\b)|(TCPIP::\b(?:\d{1,3}\.){3}\d{1,3}\b)|(USB::\b\S+\b::\b\S+\b::\S+)" errmsg="IP, GPIB or USB Address expected. e.g. TCPIP::192.168.2.123 or GPIB::1 or USB::0x0aad::0x00e2::101413" description="" />
          <Parameter id="RemoteApi" name="Remote API" type="char[SHORTNAMELENGTH]" value="::hislip0" description="Remote Interface API">
            <enum>
              <item value="::INSTR">GPIB/USB/VXI-11</item>
              <item value="::5025::SOCKET">Raw Socket</item>
              <item value="::hislip0">HISLIP</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="PrintIdentity" name="PrintIdentity" description="" />
        <Function id="Open" name="Open" exectime="TestrunBefore" description="" />
        <Function id="Close" name="Close" exectime="TestrunAfter" description="" />
        <Function id="Reset" name="Reset" description="" />
        <Function id="PhaseCoherence_Config_CwSweep" name="Phase Coherence exec. CW Sweep" description="Configure, start and measure a CW sweep">
          <Details>Set Analyzer to phase coherent mode and configure the source parameter for a CW sweep.
Start the CW sweep and initiate the power measurement.</Details>
          <Parameter id="refPort" name="Reference P." type="int" value="1" min="1" max="4" description="" />
          <Parameter id="rel_phase_p1" name="rel. Phase P1 [deg]" type="int" value="0" unit="deg" min="0" max="360" description="" />
          <Parameter id="rel_phase_p2" name="rel. Phase P2 [deg]" type="int" value="0" unit="deg" min="0" max="360" description="" />
          <Parameter id="rel_phase_p3" name="rel. Phase P3 [deg]" type="int" value="0" unit="deg" min="0" max="360" description="" />
          <Parameter id="rel_phase_p4" name="rel. Phase P4 [deg]" type="int" value="0" unit="deg" min="0" max="360" description="" />
          <Parameter id="rel_amp_p1" name="rel. Ampl. P1 [dB]" type="double" value="0" unit="dB" min="-100" max="100" description="" />
          <Parameter id="rel_amp_p2" name="rel. Ampl. P2 [dB]" type="double" value="0" unit="dB" min="-100" max="100" description="" />
          <Parameter id="rel_amp_p3" name="rel. Ampl. P3 [dB]" type="double" value="0" unit="dB" min="-100" max="100" description="" />
          <Parameter id="rel_amp_p4" name="rel. Ampl. P4 [dB]" type="double" value="0" unit="dB" min="-100" max="100" description="" />
          <Parameter id="freq_offs_p1" name="rel. Freq. P.1 [Hz]" type="int" value="0" unit="Hz" min="-999999" max="999999" description="" />
          <Parameter id="freq_offs_p2" name="rel. Freq. P.2 [Hz]" type="int" value="0" unit="Hz" min="-999999" max="999999" description="" />
          <Parameter id="freq_offs_p3" name="rel. Freq. P.3 [Hz]" type="int" value="0" unit="Hz" min="-999999" max="999999" description="" />
          <Parameter id="freq_offs_p4" name="rel. Freq. P.4 [Hz]" type="int" value="0" unit="Hz" min="-999999" max="999999" description="" />
          <Parameter id="delay_p1" name="Delay P.1 [ps]" type="int" value="0" unit="ps" min="0" max="999999" description="" />
          <Parameter id="delay_p2" name="Delay P.2 [ps]" type="int" value="0" unit="ps" min="0" max="999999" description="" />
          <Parameter id="delay_p3" name="Delay P.3 [ps]" type="int" value="0" unit="ps" min="0" max="999999" description="" />
          <Parameter id="delay_p4" name="Delay P.4 [ps]" type="int" value="0" unit="ps" min="0" max="999999" description="" />
          <Parameter id="enable_p1" name="P.1" type="bool" value="1" min="0" max="1" description="" />
          <Parameter id="enable_p2" name="P.2" type="bool" value="1" min="0" max="1" description="" />
          <Parameter id="enable_p3" name="P.3" type="bool" value="1" min="0" max="1" description="" />
          <Parameter id="enable_p4" name="P.4" type="bool" value="1" min="0" max="1" description="" />
        </Function>
        <Function id="PhaseCoherence_Init_CwSweep" name="Phase Coherence Setup CW Sweep" description="Set phase coherence mode and set a CW sweep.">
          <Parameter id="refPort" name="Ref. Port" type="int" value="1" min="1" max="4" description="" />
          <Parameter id="level" name="Level [dBm]" type="int" value="0" unit="dBm" min="-999" max="10" description="Level / dBm" />
          <Parameter id="start_freq" name="Start Freq. [MHz]" type="double" value="1000" unit="MHz" description="Start Frequency / MHz" />
          <Parameter id="stop_freq" name="Stop Freq. [MHz]" type="double" value="2000" unit="MHz" description="Stop Frequency / MHz" />
          <Parameter id="step_freq" name="Freq. Step [MHz]" type="double" value="100" unit="MHz" description="Frequency Step / MHz" />
          <Parameter id="no_slaves" name="No. of Slave NWAs" type="int" value="0" description="Slave ZVAs for more than 4 Ports. E.g. 1 if one additional ZVA is added" />
        </Function>
        <Function id="AutoCal" name="Automatic Calibration" description="Perform an automatic n-port calibration using a connected cal unit">
          <Parameter id="CalName" name="Name of Cal. File" type="char[LONGNAMELENGTH]" value="''" description="Name of calibration file to use. Leave blank ('') to use factory cal" />
        </Function>
        <Function id="ExtTrigger" name="External Trigger Received" description="External Trigger received -&gt; Advance one point in measurement">
          <Reply id="currFreq" name="current Freq. [MHz]" type="double" unit="MHz" description="Current frequency in MHz to set to the signal analyzer" />
        </Function>
        <Function id="loadCal" name="Load Calibration File" description="Loads a calibration file specified by 'name'">
          <Parameter id="name" name="name" type="char[LONGNAMELENGTH]" value="Cal Group 1" description="Name of calibration file to load" />
        </Function>
        <Function id="Set_CwFreq" name="Set CW Frequency" description="Set CW Frequency to ZVA and initiate a sweep">
          <Parameter id="frequency" name="CW Frequency [MHz]" type="double" value="1000" unit="MHz" description="CW Frequency / MHz" />
        </Function>
        <Function id="Boresight_Cal" name="Boresight Calibration" description="Perform a boresight calibration">
          <Details>Perform a boresight calibration using results from the signal analyzer / powermeter and a sweep through different phase offsets.
The calibration is performed for a fixed frequency. Frequency sweeps must be configured after this calibration!</Details>
          <Parameter id="refPort" name="Reference Port" type="int" value="1" min="1" max="4" description="Reference Port for all phase offsets" />
          <Parameter id="start_frequency" name="Start Frequency [MHz]" type="int" value="1000" unit="MHz" min="10" max="999999" description="Start Frequency, for which the boresight calibration is performed" />
          <Parameter id="stop_frequency" name="Stop Frequency [MHz]" type="double" value="100" unit="MHz" min="1" max="999999" description="Frequency steps, for which the boresight calibration is performed" />
          <Parameter id="step_frequency" name="Step Frequency [MHz]" type="int" value="2000" unit="MHz" min="11" max="999999" description="Stop Frequency, for which the boresight calibration is performed" />
          <Parameter id="level" name="Level [dBm]" type="int" value="0" unit="dBm" description="Level in dBm, for which the boresight calibration is performed" />
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions>
        <Function id="Measure" name="Power Measurement" description="Measure Level">
          <Reply id="result" name="Result [dBm]" type="double" unit="dBm" description="Result / dBm" />
        </Function>
        <Function id="Set_Frequency" name="Set_Frequency" description="Set the measurement frequency">
          <Parameter id="Frequency" name="Frequency [MHz]" type="double" value="1000" unit="MHz" min="10" max="999999" description="Frequency in MHz set for the measurement" />
        </Function>
        <Function id="ExtTrigger_Slave" name="External Trigger Received" description="External Trigger received -&gt; Advance one point in measurement" />
        <Function id="Set_CwFreq_Slave" name="Set CW Frequency" description="Set CW Frequency to ZVA and initiate a sweep">
          <Parameter id="frequency" name="CW Frequency [MHz]" type="double" value="1000" unit="MHz" description="CW Frequency / MHz" />
        </Function>
      </RequiredFunctions>
      <DeviceParameter></DeviceParameter>
      <Device name="NetworkAnalyzer" description="" width="180" height="72">
        <Image file="B_NetworkAnalyzer.jpg" opacity="1" width="100" height="92" />
        <Ports />
      </Device>
      <Results>
        <Result id="Set_Amp P1-P" restype="result" type="char[]" />
        <Result id="Set_Freq P1-P" restype="result" type="char[]" />
        <Result id="Set_Phase P1-P" restype="result" type="char[]" />
        <Result id="Set_Delay P1-P" restype="result" type="char[]" />
      </Results>
    </Block>
    <Block id="B_SignalAnalyzer" type="Device" category="User Blocks" parent="User" visible="True" description="">
      <Ports>
        <InPort id="Meas_Param_In" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Init" name="Init" exectime="TestrunBefore" description="Provides SysConf parameter. Should only contain communication and device parameter required for initialization.">
          <Reply id="ReplyMessage" name="ReplyMessage" type="char[SHORTNAMELENGTH]" />
          <Parameter id="ForceScpi" name="Force sending SCPI commands." type="bool" value="true" />
          <Parameter id="VisaResource" name="Visa Resource" type="char[SHORTNAMELENGTH]" value="TCPIP::127.0.0.1" regex="^(GPIB::\b\d{1,2}\b)|(TCPIP::\b(?:\d{1,3}\.){3}\d{1,3}\b)|(USB::\b\S+\b::\b\S+\b::\S+)" errmsg="IP, GPIB or USB Address expected. e.g. TCPIP::192.168.2.123 or GPIB::1 or USB::0x0aad::0x00e2::101413" />
          <Parameter id="RemoteApi" name="Remote API" type="char[SHORTNAMELENGTH]" value="::hislip0">
            <description>Remote Interface API</description>
            <enum>
              <item value="::INSTR">GPIB/USB/VXI-11</item>
              <item value="::5025::SOCKET">Raw Socket</item>
              <item value="::hislip0">HISLIP</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="PrintIdentity" name="PrintIdentity" description="" />
        <Function id="Open" name="Open" exectime="TestrunBefore" description="" />
        <Function id="Close" name="Close" exectime="TestrunAfter" description="" />
        <Function id="Reset" name="Reset" description="" />
        <Function id="Init_Power_Meas" name="Init. Power Meas." description="Initialize a power measurement">
          <Parameter id="Num_Avg" name="No. of Averages" type="int" value="4" min="0" max="999999" description="Number of Averages" />
          <Parameter id="Ref_Lvl" name="Reference Level" type="int" value="-20" min="-999" max="0" description="Reference Level / dBm" />
          <Parameter id="Lvl_Range" name="Level Range" type="int" value="100" min="10" max="999" description="Level Range / dBm" />
          <Parameter id="Channel_Bw" name="Channel Bandwidth" type="int" value="5" min="1" max="999999" description="Channel Bandwidth / kHz" />
          <Parameter id="Span" name="Span" type="int" value="10" min="1" max="999999" description="Span / kHz" />
        </Function>
        <Function id="Measure" name="Power Measurement" description="Measure Level">
          <Reply id="result" name="Result [dBm]" type="double" unit="dBm" description="Result / dBm" />
        </Function>
        <Function id="Set_Frequency" name="Set_Frequency" description="Set the measurement frequency">
          <Parameter id="Frequency" name="Frequency [MHz]" type="double" value="1000" unit="MHz" min="10" max="999999" description="Frequency in MHz set for the measurement" />
        </Function>
        <Function id="measure_save" name="Measure and Save" description="Measure one point and save result - To be used if no network analyzer for signal generation and remote control is available">
          <Parameter id="frequency" name="Frequency [MHz]" type="double" value="1000" unit="MHz" min="1" max="999999" description="" />
        </Function>
        <Function id="ExtTrigger_Slave" name="External Trigger Received" description="External Trigger received -&gt; Advance one point in measurement" />
        <Function id="Set_CwFreq_Slave" name="Set CW Frequency" description="Set CW Frequency to ZVA and initiate a sweep">
          <Parameter id="frequency" name="CW Frequency [MHz]" type="double" value="1000" unit="MHz" description="CW Frequency / MHz" />
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions />
      <DeviceParameter></DeviceParameter>
      <Device name="SignalAnalyzer" description="" width="180" height="70">
        <Image file="B_SignalAnalyzer.jpg" opacity="1" width="100" height="90" />
        <Ports>
          <Port id="Ant_In" name="Antenna Input" type="HF_N" direction="in" x="0" y="30" align="right" />
        </Ports>
      </Device>
    </Block>
    <Block id="B_TurnTable" type="Device" category="User Blocks" parent="User" visible="True" description="">
      <Ports>
        <InPort id="TurnTable_In" />
        <OutPort id="TurnTable_Out" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Init" name="Init" exectime="TestrunBefore" description="Provides SysConf parameter. Should only contain communication and device parameter required for initialization.">
          <Reply id="ReplyMessage" name="ReplyMessage" type="char[SHORTNAMELENGTH]" />
          <Parameter id="PortName" name="Port Name" type="char[SHORTNAMELENGTH]" value="COM1" regex="(COM)\d" errmsg="COM Port must be in following format: COMx; where x is a number between 1 - 9">
            <description>The Com Port to use. E.g. "COM1"</description>
          </Parameter>
        </Function>
        <Function id="PrintIdentity" name="PrintIdentity" description="" />
        <Function id="Open" name="Open" exectime="TestrunBefore" description="">
          <Parameter id="Delay" name="Interstep Delay" type="int" value="200" min="10" max="1000">
            <description>Delay between steps / ms</description>
          </Parameter>
        </Function>
        <Function id="Close" name="Close" exectime="TestrunAfter" description="" />
        <Function id="Reset" name="Reset" description="" />
        <Function id="Set_Enable" name="Set Current Output" description="">
          <Parameter id="Enable" name="Enable" type="bool" value="1" />
        </Function>
        <Function id="Rotate" name="Rotate" description="Rotates for n steps in indicated direction">
          <Parameter id="Num_Steps" name="Number of steps" type="int" value="1" min="1" max="9999">
            <description>Number of steps in indicated direction</description>
          </Parameter>
          <Parameter id="Direction" name="Direction" type="char[]" value="r" regex="(r|l)" errmsg="Direction must either be &quot;r&quot; or &quot;l&quot;">
            <description>Direction. Either right ("r") or left ("l")</description>
          </Parameter>
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions></RequiredFunctions>
      <DeviceParameter></DeviceParameter>
      <Device name="TurnTable" description="" width="180" height="77">
        <Image file="B_TurnTable.jpg" opacity="1" width="80" height="97" />
        <Ports />
      </Device>
    </Block>
    <Block id="B_FlowControl" type="NonDevice" category="User Blocks" parent="User">
      <Ports>
        <InPort id="FlowControlInPort" />
        <OutPort id="FlowControlOutPort" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Join" name="Fork/Join" />
      </ProvidedFunctions>
      <RequiredFunctions />
    </Block>
  </BlockDefinitions>
  <SystemDefinition name="Solutionname">
    <Projects>
      <Project name="System 1" isactive="True" id="581b0d48-4b39-49f2-9a21-c5b5850395e2">
        <Parameters />
        <Devices>
          <Device id="15ec98f5-a77f-4665-912d-b30723e3d372" name="NetworkAnalyzer" type="B_NetworkAnalyzer" selectedId="Init" position="337,205.08">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="IP Address ZVA" name="IP Address ZVA" value="TCPIP::127.0.0.1" type="char[SHORTNAMELENGTH]" unit="" description="" />
                  <Parameter id="Start Freq." name="Start Freq." value="1000" type="double" unit="MHz" description="Start Frequency / MHz" />
                  <Parameter id="Stop Freq." name="Stop Freq." value="2000" type="double" unit="MHz" description="Stop Frequency / MHz" />
                  <Parameter id="Freq. Step" name="Freq. Step" value="100" type="double" unit="MHz" description="Frequency Step / MHz" />
                  <Parameter id="Level" name="Level" value="0" type="int" unit="dBm" description="Level / dBm" />
                  <Parameter id="Load Cal. File" name="Load Cal. File" value="Cal Group 1" type="char[LONGNAMELENGTH]" unit="" description="Name of calibration file to load" />
                  <Parameter id="Reference Port" name="Reference Port" value="1" type="int" unit="" description="" />
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="6256d07d-64ca-4820-9b9d-6623f9742c51" name="SignalAnalyzer" type="B_SignalAnalyzer" selectedId="Init" position="337,337.08">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="IP Address Signal Analyzer" name="IP Address Signal Analyzer" value="TCPIP::127.0.0.1" type="char[SHORTNAMELENGTH]" unit="" description="Visa Resource" />
                  <Parameter id="Reference Lvl" name="Reference Lvl" value="-20" type="int" unit="" description="Reference Level / dBm" />
                  <Parameter id="Level Range" name="Level Range" value="100" type="int" unit="" description="Level Range / dBm" />
                  <Parameter id="No. of Averages" name="No. of Averages" value="4" type="int" unit="" description="Number of Averages" />
                  <Parameter id="Channel Bandwidth" name="Channel Bandwidth" value="5" type="int" unit="" description="Channel Bandwidth / kHz" />
                  <Parameter id="Freq. Span" name="Freq. Span" value="10" type="int" unit="" description="Span / kHz" />
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="18611cbf-670a-4187-9aa3-06720f1d67b2" name="TurnTable" type="B_TurnTable" selectedId="Init" position="335,474.58">
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="Com Port Turn Table" name="Com Port Turn Table" value="COM1" type="char[SHORTNAMELENGTH]" unit="" description="The Com Port to use. E.g. &quot;COM1&quot;" />
                  <Parameter id="Steps per Test Step" name="Steps per Test Step" value="1" type="int" unit="" description="Number of steps in indicated direction" />
                  <Parameter id="Initial Rotation Steps" name="Initial Rotation Steps" value="100" type="int" unit="" description="Number of steps in indicated direction" />
                </Parameters>
              </Function>
            </Functions>
          </Device>
          <Device id="cade7f72-f361-463e-afe7-f1bc067f8aac" name="Ant_DUT" type="B_Ant_DUT" selectedId="Init" position="95,337.08">
            <Functions>
              <Function id="Init" refId="">
                <Parameters />
              </Function>
            </Functions>
          </Device>
        </Devices>
        <Connections>
          <Connection id="54de424c-9a89-4a96-92ce-d3d28e2581d5">
            <Source deviceId="cade7f72-f361-463e-afe7-f1bc067f8aac" port="Ant_Out" name="Antenna Out" />
            <Target deviceId="6256d07d-64ca-4820-9b9d-6623f9742c51" port="Ant_In" name="Antenna Input" />
            <Functions>
              <Function id="Init" refId="">
                <Parameters>
                  <Parameter id="use" name="Use" value="att" />
                  <Parameter id="att" name="Path Loss" value="0" />
                  <Parameter id="snp" name="SnP File" value="" />
                  <Parameter id="csv" name="CSV File" value="" />
                </Parameters>
              </Function>
            </Functions>
          </Connection>
        </Connections>
        <ConnectionGroups />
      </Project>
    </Projects>
  </SystemDefinition>
  <VISAResources />
  <TestrunBefore name="Testrun Before" enabled="true" description="" condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedure">
      <Parameters />
      <TestFunction id="0" refTpFunctionId="3595bd0d-b9b3-48c8-84f8-b9a3d794985f" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="name" value="$M.Load Cal. File" />
        </Parameters>
      </TestFunction>
      <TestFunction id="1" refTpFunctionId="08978757-67b4-4f76-adc4-0ea1fd02d1a7" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="refPort" value="$M.Reference Port" />
          <Parameter id="level" value="$M.Level" />
          <Parameter id="start_freq" value="$M.Start Freq." />
          <Parameter id="stop_freq" value="$M.Stop Freq." />
          <Parameter id="step_freq" value="$M.Freq. Step" />
          <Parameter id="no_slaves" value="0" />
        </Parameters>
      </TestFunction>
      <TestFunction id="2" refTpFunctionId="5a84e31e-7850-4c1b-bc1c-06806b4b1254" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="ForceScpi" value="True" />
          <Parameter id="VisaResource" value="$M.IP Address ZVA" />
          <Parameter id="RemoteApi" value="::5025::SOCKET" />
        </Parameters>
      </TestFunction>
      <TestFunction id="3" refTpFunctionId="34612a08-113f-42df-9ce9-cb86bdfcf8ba" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="Num_Avg" value="$M.No. of Averages" />
          <Parameter id="Ref_Lvl" value="$M.Reference Lvl" />
          <Parameter id="Lvl_Range" value="$M.Level Range" />
          <Parameter id="Channel_Bw" value="$M.Channel Bandwidth" />
          <Parameter id="Span" value="$M.Freq. Span" />
        </Parameters>
      </TestFunction>
      <TestFunction id="4" refTpFunctionId="fd859b3b-0ad1-4bc2-982a-5612a1a8501b" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="ForceScpi" value="True" />
          <Parameter id="VisaResource" value="$M.IP Address Signal Analyzer" />
          <Parameter id="RemoteApi" value="::5025::SOCKET" />
        </Parameters>
      </TestFunction>
      <TestFunction id="5" refTpFunctionId="8d76d135-40a7-4e35-91a5-833025131a67" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="Num_Steps" value="$M.Initial Rotation Steps" />
          <Parameter id="Direction" value="l" />
        </Parameters>
      </TestFunction>
      <TestFunction id="6" refTpFunctionId="ad5b0c71-dd9b-4a1d-931b-3d5537edc7c3" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="Enable" value="1" />
        </Parameters>
      </TestFunction>
      <TestFunction id="7" refTpFunctionId="f1685897-2b91-4db3-aea2-38dc6a5c65de" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="Delay" value="120" />
        </Parameters>
      </TestFunction>
      <TestFunction id="8" refTpFunctionId="5be03dbd-f8f7-40f6-a5b7-728da01168c3" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="PortName" value="$M.Com Port Turn Table" />
        </Parameters>
      </TestFunction>
      <Limits />
    </TestStep>
  </TestrunBefore>
  <TestrunAfter name="Testrun After" enabled="true" description="" condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedure">
      <Parameters />
      <TestFunction id="0" refTpFunctionId="e792fd27-644f-4f0c-a56e-2615d3b328f7" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="Enable" value="False" />
        </Parameters>
      </TestFunction>
      <TestFunction id="1" refTpFunctionId="fe031d76-d258-4922-b35f-e8f4a90704de" refTpId="MainProcedure">
        <Parameters>
          <Parameter id="Num_Steps" value="$M.Initial Rotation Steps" />
          <Parameter id="Direction" value="l" />
        </Parameters>
      </TestFunction>
      <Limits />
    </TestStep>
  </TestrunAfter>
  <GroupBefore />
  <GroupAfter />
  <RepetitionBefore />
  <RepetitionAfter />
  <TestProcedureBefore />
  <TestProcedureAfter name="Test Procedure" enabled="true" description="" condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="0b726b57-f029-4076-9c0c-064e85da6ae5">
      <Parameters />
      <TestFunction id="0" refTpFunctionId="f802779b-3c26-4ca3-9105-59b06145a4de" refTpId="0b726b57-f029-4076-9c0c-064e85da6ae5">
        <Parameters>
          <Parameter id="Num_Steps" value="$M.Steps per Test Step" />
          <Parameter id="Direction" value="r" />
        </Parameters>
      </TestFunction>
      <Limits />
    </TestStep>
  </TestProcedureAfter>
  <TestGroup>
    <TestPlan name="Test 1" enabled="true" description="" condition="">
      <TestSteps>
        <TestStep index="1" enabled="false" breakpoint="false" id="1" refTpId="0b726b57-f029-4076-9c0c-064e85da6ae5">
          <Parameters />
          <TestFunction id="0" refTpFunctionId="1ec4fb6d-ba25-4afd-a95a-bffdeeebb64d" refTpId="0b726b57-f029-4076-9c0c-064e85da6ae5">
            <Parameters>
              <Parameter id="refPort" value="$M.Reference Port" />
              <Parameter id="rel_phase_p1" value="0" />
              <Parameter id="rel_phase_p2" value="0" />
              <Parameter id="rel_phase_p3" value="0" />
              <Parameter id="rel_phase_p4" value="0" />
              <Parameter id="rel_amp_p1" value="0" />
              <Parameter id="rel_amp_p2" value="0" />
              <Parameter id="rel_amp_p3" value="0" />
              <Parameter id="rel_amp_p4" value="0" />
              <Parameter id="freq_offs_p1" value="0" />
              <Parameter id="freq_offs_p2" value="0" />
              <Parameter id="freq_offs_p3" value="0" />
              <Parameter id="freq_offs_p4" value="0" />
              <Parameter id="delay_p1" value="0" />
              <Parameter id="delay_p2" value="0" />
              <Parameter id="delay_p3" value="0" />
              <Parameter id="delay_p4" value="0" />
              <Parameter id="enable_p1" value="True" />
              <Parameter id="enable_p2" value="True" />
              <Parameter id="enable_p3" value="True" />
              <Parameter id="enable_p4" value="True" />
            </Parameters>
          </TestFunction>
          <Limits />
        </TestStep>
        <TestStep index="2" enabled="true" breakpoint="false" id="5" refTpId="0b726b57-f029-4076-9c0c-064e85da6ae5">
          <Parameters />
          <TestFunction id="1" refTpFunctionId="1ec4fb6d-ba25-4afd-a95a-bffdeeebb64d" refTpId="0b726b57-f029-4076-9c0c-064e85da6ae5">
            <Parameters>
              <Parameter id="refPort" value="$M.Reference Port" />
              <Parameter id="rel_phase_p1" value="0" />
              <Parameter id="rel_phase_p2" value="=(start=0, step=45, count=4, priority=1)" />
              <Parameter id="rel_phase_p3" value="0" />
              <Parameter id="rel_phase_p4" value="0" />
              <Parameter id="rel_amp_p1" value="0" />
              <Parameter id="rel_amp_p2" value="0" />
              <Parameter id="rel_amp_p3" value="0" />
              <Parameter id="rel_amp_p4" value="0" />
              <Parameter id="freq_offs_p1" value="0" />
              <Parameter id="freq_offs_p2" value="0" />
              <Parameter id="freq_offs_p3" value="0" />
              <Parameter id="freq_offs_p4" value="0" />
              <Parameter id="delay_p1" value="0" />
              <Parameter id="delay_p2" value="0" />
              <Parameter id="delay_p3" value="0" />
              <Parameter id="delay_p4" value="0" />
              <Parameter id="enable_p1" value="True" />
              <Parameter id="enable_p2" value="True" />
              <Parameter id="enable_p3" value="True" />
              <Parameter id="enable_p4" value="True" />
            </Parameters>
          </TestFunction>
          <Limits />
        </TestStep>
      </TestSteps>
    </TestPlan>
  </TestGroup>
  <Mapping selectedSysConfId="581b0d48-4b39-49f2-9a21-c5b5850395e2">
    <ParameterMapping refSysConfId="581b0d48-4b39-49f2-9a21-c5b5850395e2">
      <Map id="IP Address ZVA" refSysBlockId="15ec98f5-a77f-4665-912d-b30723e3d372" />
      <Map id="Start Freq." refSysBlockId="15ec98f5-a77f-4665-912d-b30723e3d372" />
      <Map id="Stop Freq." refSysBlockId="15ec98f5-a77f-4665-912d-b30723e3d372" />
      <Map id="Freq. Step" refSysBlockId="15ec98f5-a77f-4665-912d-b30723e3d372" />
      <Map id="Level" refSysBlockId="15ec98f5-a77f-4665-912d-b30723e3d372" />
      <Map id="Load Cal. File" refSysBlockId="15ec98f5-a77f-4665-912d-b30723e3d372" />
      <Map id="IP Address Signal Analyzer" refSysBlockId="6256d07d-64ca-4820-9b9d-6623f9742c51" />
      <Map id="Reference Lvl" refSysBlockId="6256d07d-64ca-4820-9b9d-6623f9742c51" />
      <Map id="Level Range" refSysBlockId="6256d07d-64ca-4820-9b9d-6623f9742c51" />
      <Map id="No. of Averages" refSysBlockId="6256d07d-64ca-4820-9b9d-6623f9742c51" />
      <Map id="Channel Bandwidth" refSysBlockId="6256d07d-64ca-4820-9b9d-6623f9742c51" />
      <Map id="Freq. Span" refSysBlockId="6256d07d-64ca-4820-9b9d-6623f9742c51" />
      <Map id="Com Port Turn Table" refSysBlockId="18611cbf-670a-4187-9aa3-06720f1d67b2" />
      <Map id="Steps per Test Step" refSysBlockId="18611cbf-670a-4187-9aa3-06720f1d67b2" />
      <Map id="Initial Rotation Steps" refSysBlockId="18611cbf-670a-4187-9aa3-06720f1d67b2" />
      <Map id="Reference Port" refSysBlockId="15ec98f5-a77f-4665-912d-b30723e3d372" />
    </ParameterMapping>
    <PathMapping refSysConfId="581b0d48-4b39-49f2-9a21-c5b5850395e2" />
  </Mapping>
  <AdditionalInfo>
    <GUI version="03.50" />
    <Sequencer version="03.50" />
  </AdditionalInfo>
  <Parameters />
  <LimitTable />
  <TestProcedures>
    <ConnectivityPlan>
      <Devices>
        <Device id="d47e88af-0030-4970-ae44-89cc2f1dea0f" name="NetworkAnalyzer" type="B_NetworkAnalyzer" position="229,101.08">
          <Functions />
        </Device>
        <Device id="d17b5115-3ec2-446b-9c7d-d134dbc8d3e8" name="SignalAnalyzer" type="B_SignalAnalyzer" position="654,101.08">
          <Functions />
        </Device>
        <Device id="830ae915-4c6c-4466-adcb-281ffec443d8" name="TurnTable" type="B_TurnTable" position="655,205.08">
          <Functions />
        </Device>
      </Devices>
      <Connections>
        <Connection id="bce792a1-900a-499e-8ef3-4429cc31b0df">
          <Source deviceId="d47e88af-0030-4970-ae44-89cc2f1dea0f" port="Measurement_Control" name="Measurement_Control" />
          <Target deviceId="d17b5115-3ec2-446b-9c7d-d134dbc8d3e8" port="Meas_Param_In" name="Meas_Param_In" />
        </Connection>
      </Connections>
      <Parameters />
    </ConnectivityPlan>
    <MainProcedure id="MainProcedure" name="Main Procedure">
      <TestrunBefore enabled="True">
        <TestFunction id="5a84e31e-7850-4c1b-bc1c-06806b4b1254" name="Init" type="TestFunction" blockid="d47e88af-0030-4970-ae44-89cc2f1dea0f" functionid="Init" condition="" enabled="true" position="197.2,54.08">
          <Parameters>
            <Parameter id="ForceScpi" name="Force sending SCPI commands." value="True" enabled="true" />
            <Parameter id="VisaResource" name="Visa Resource" value="TCPIP::10.85.0.108" enabled="false" />
            <Parameter id="RemoteApi" name="Remote API" value="::5025::SOCKET" enabled="true" />
          </Parameters>
        </TestFunction>
        <TestFunction id="08978757-67b4-4f76-adc4-0ea1fd02d1a7" name="Phase Coherence Setup CW Sweep" type="TestFunction" blockid="d47e88af-0030-4970-ae44-89cc2f1dea0f" functionid="PhaseCoherence_Init_CwSweep" condition="" enabled="true" position="150.6,258.88">
          <Parameters>
            <Parameter id="refPort" name="Ref. Port" value="3" enabled="false" />
            <Parameter id="level" name="Level " value="10" enabled="false" />
            <Parameter id="start_freq" name="Start Freq. " value="24000" enabled="false" />
            <Parameter id="stop_freq" name="Stop Freq. " value="26500" enabled="false" />
            <Parameter id="step_freq" name="Freq. Step " value="50" enabled="false" />
            <Parameter id="no_slaves" name="No. of Slave NWAs" value="0" enabled="false" />
          </Parameters>
          <Dependency to="3595bd0d-b9b3-48c8-84f8-b9a3d794985f" />
        </TestFunction>
        <TestFunction id="3595bd0d-b9b3-48c8-84f8-b9a3d794985f" name="Load Calibration File" type="TestFunction" blockid="d47e88af-0030-4970-ae44-89cc2f1dea0f" functionid="loadCal" condition="" enabled="true" position="188.2,151.08">
          <Parameters>
            <Parameter id="name" name="name" value="Cal Group 1" enabled="false" />
          </Parameters>
          <Dependency to="5a84e31e-7850-4c1b-bc1c-06806b4b1254" />
        </TestFunction>
        <TestFunction id="fd859b3b-0ad1-4bc2-982a-5612a1a8501b" name="Init" type="TestFunction" blockid="d17b5115-3ec2-446b-9c7d-d134dbc8d3e8" functionid="Init" condition="" enabled="true" position="371.2,58.496">
          <Parameters>
            <Parameter id="ForceScpi" name="Force sending SCPI commands." value="True" enabled="true" />
            <Parameter id="VisaResource" name="Visa Resource" value="TCPIP::10.85.0.100" enabled="false" />
            <Parameter id="RemoteApi" name="Remote API" value="::5025::SOCKET" enabled="true" />
          </Parameters>
        </TestFunction>
        <TestFunction id="34612a08-113f-42df-9ce9-cb86bdfcf8ba" name="Init. Power Meas." type="TestFunction" blockid="d17b5115-3ec2-446b-9c7d-d134dbc8d3e8" functionid="Init_Power_Meas" condition="" enabled="true" position="366.4,151.896">
          <Parameters>
            <Parameter id="Num_Avg" name="No. of Averages" value="4" enabled="false" />
            <Parameter id="Ref_Lvl" name="Reference Level" value="-20" enabled="false" />
            <Parameter id="Lvl_Range" name="Level Range" value="100" enabled="false" />
            <Parameter id="Channel_Bw" name="Channel Bandwidth" value="20" enabled="false" />
            <Parameter id="Span" name="Span" value="50" enabled="false" />
          </Parameters>
          <Dependency to="fd859b3b-0ad1-4bc2-982a-5612a1a8501b" />
        </TestFunction>
        <TestFunction id="5be03dbd-f8f7-40f6-a5b7-728da01168c3" name="Init" type="TestFunction" blockid="830ae915-4c6c-4466-adcb-281ffec443d8" functionid="Init" condition="" enabled="true" position="34.2,61.096">
          <Parameters>
            <Parameter id="PortName" name="Port Name" value="COM7" enabled="false" />
          </Parameters>
        </TestFunction>
        <TestFunction id="f1685897-2b91-4db3-aea2-38dc6a5c65de" name="Open" type="TestFunction" blockid="830ae915-4c6c-4466-adcb-281ffec443d8" functionid="Open" condition="" enabled="true" position="34.2,154.696">
          <Parameters>
            <Parameter id="Delay" name="Interstep Delay" value="120" enabled="true" />
          </Parameters>
          <Dependency to="5be03dbd-f8f7-40f6-a5b7-728da01168c3" />
        </TestFunction>
        <TestFunction id="ad5b0c71-dd9b-4a1d-931b-3d5537edc7c3" name="Set Current Output" type="TestFunction" blockid="830ae915-4c6c-4466-adcb-281ffec443d8" functionid="Set_Enable" condition="" enabled="true" position="23.4,256.696">
          <Parameters>
            <Parameter id="Enable" name="Enable" value="1" enabled="true" />
          </Parameters>
          <Dependency to="f1685897-2b91-4db3-aea2-38dc6a5c65de" />
        </TestFunction>
        <TestFunction id="8d76d135-40a7-4e35-91a5-833025131a67" name="Rotate" type="TestFunction" blockid="830ae915-4c6c-4466-adcb-281ffec443d8" functionid="Rotate" condition="" enabled="true" position="33.576111111111,354.900814814815">
          <Parameters>
            <Parameter id="Num_Steps" name="Number of steps" value="10" enabled="false" />
            <Parameter id="Direction" name="Direction" value="l" enabled="true" />
          </Parameters>
          <Dependency to="ad5b0c71-dd9b-4a1d-931b-3d5537edc7c3" />
        </TestFunction>
        <Connection id="7c6baa49-0973-4c10-9704-4caa256800a1" name="" condition="">
          <Source functionid="fd859b3b-0ad1-4bc2-982a-5612a1a8501b" name="Init" />
          <Target functionid="34612a08-113f-42df-9ce9-cb86bdfcf8ba" name="Init. Power Meas." />
        </Connection>
        <Connection id="9ab37e80-8abd-4f78-9414-315fe04a0088" name="" condition="">
          <Source functionid="5be03dbd-f8f7-40f6-a5b7-728da01168c3" name="Init" />
          <Target functionid="f1685897-2b91-4db3-aea2-38dc6a5c65de" name="Open" />
        </Connection>
        <Connection id="0d97571f-0fc6-4e91-a2ae-b5b362514d43" name="" condition="">
          <Source functionid="5a84e31e-7850-4c1b-bc1c-06806b4b1254" name="Init" />
          <Target functionid="3595bd0d-b9b3-48c8-84f8-b9a3d794985f" name="Load Calibration File" />
        </Connection>
        <Connection id="c05cc937-f6df-420b-9648-37129579826a" name="" condition="">
          <Source functionid="f1685897-2b91-4db3-aea2-38dc6a5c65de" name="Open" />
          <Target functionid="ad5b0c71-dd9b-4a1d-931b-3d5537edc7c3" name="Set Current Output" />
        </Connection>
        <Connection id="b567f1a2-96fe-44a2-9956-e3ed1ab0b86c" name="" condition="">
          <Source functionid="3595bd0d-b9b3-48c8-84f8-b9a3d794985f" name="Load Calibration File" />
          <Target functionid="08978757-67b4-4f76-adc4-0ea1fd02d1a7" name="Phase Coherence Setup CW Sweep" />
        </Connection>
        <Connection id="c7bc7c98-af67-456b-82e7-3117cc06c28c" name="" condition="">
          <Source functionid="ad5b0c71-dd9b-4a1d-931b-3d5537edc7c3" name="Set Current Output" />
          <Target functionid="8d76d135-40a7-4e35-91a5-833025131a67" name="Rotate" />
        </Connection>
        <Parameters />
      </TestrunBefore>
      <RepetitionBefore enabled="True">
        <Parameters />
      </RepetitionBefore>
      <RepetitionAfter enabled="True">
        <Parameters />
      </RepetitionAfter>
      <TestrunAfter enabled="True">
        <TestFunction id="fe031d76-d258-4922-b35f-e8f4a90704de" name="Rotate" type="TestFunction" blockid="830ae915-4c6c-4466-adcb-281ffec443d8" functionid="Rotate" condition="" enabled="true" position="392,267.08">
          <Parameters>
            <Parameter id="Num_Steps" name="Number of steps" value="10" enabled="false" />
            <Parameter id="Direction" name="Direction" value="l" enabled="true" />
          </Parameters>
        </TestFunction>
        <TestFunction id="e792fd27-644f-4f0c-a56e-2615d3b328f7" name="Set Current Output" type="TestFunction" blockid="830ae915-4c6c-4466-adcb-281ffec443d8" functionid="Set_Enable" condition="" enabled="true" position="381,349.08">
          <Parameters>
            <Parameter id="Enable" name="Enable" value="False" enabled="true" />
          </Parameters>
          <Dependency to="fe031d76-d258-4922-b35f-e8f4a90704de" />
        </TestFunction>
        <Connection id="ee245cce-26ba-4552-aedd-38ba0ebba519" name="" condition="">
          <Source functionid="fe031d76-d258-4922-b35f-e8f4a90704de" name="Rotate" />
          <Target functionid="e792fd27-644f-4f0c-a56e-2615d3b328f7" name="Set Current Output" />
        </Connection>
        <Parameters />
      </TestrunAfter>
    </MainProcedure>
    <TestProcedure id="0b726b57-f029-4076-9c0c-064e85da6ae5" name="Test Procedure">
      <TestProcedureBefore enabled="True">
        <Parameters />
      </TestProcedureBefore>
      <TestStep enabled="True">
        <TestFunction id="1ec4fb6d-ba25-4afd-a95a-bffdeeebb64d" name="Phase Coherence exec. CW Sweep" type="TestFunction" blockid="d47e88af-0030-4970-ae44-89cc2f1dea0f" functionid="PhaseCoherence_Config_CwSweep" condition="" enabled="true" position="298,13.08">
          <Parameters>
            <Parameter id="refPort" name="Reference P." value="1" enabled="false" />
            <Parameter id="rel_phase_p1" name="rel. Phase P1 " value="0" enabled="false" />
            <Parameter id="rel_phase_p2" name="rel. Phase P2 " value="0" enabled="false" />
            <Parameter id="rel_phase_p3" name="rel. Phase P3 " value="0" enabled="false" />
            <Parameter id="rel_phase_p4" name="rel. Phase P4 " value="0" enabled="false" />
            <Parameter id="rel_amp_p1" name="rel. Ampl. P1 " value="0" enabled="false" />
            <Parameter id="rel_amp_p2" name="rel. Ampl. P2 " value="0" enabled="false" />
            <Parameter id="rel_amp_p3" name="rel. Ampl. P3 " value="0" enabled="false" />
            <Parameter id="rel_amp_p4" name="rel. Ampl. P4 " value="0" enabled="false" />
            <Parameter id="freq_offs_p1" name="rel. Freq. P.1 " value="0" enabled="false" />
            <Parameter id="freq_offs_p2" name="rel. Freq. P.2 " value="0" enabled="true" />
            <Parameter id="freq_offs_p3" name="rel. Freq. P.3 " value="0" enabled="true" />
            <Parameter id="freq_offs_p4" name="rel. Freq. P.4 " value="0" enabled="true" />
            <Parameter id="delay_p1" name="Delay P.1 " value="0" enabled="false" />
            <Parameter id="delay_p2" name="Delay P.2 " value="0" enabled="true" />
            <Parameter id="delay_p3" name="Delay P.3 " value="0" enabled="true" />
            <Parameter id="delay_p4" name="Delay P.4 " value="0" enabled="true" />
            <Parameter id="enable_p1" name="P.1" value="1" enabled="false" />
            <Parameter id="enable_p2" name="P.2" value="1" enabled="false" />
            <Parameter id="enable_p3" name="P.3" value="1" enabled="false" />
            <Parameter id="enable_p4" name="P.4" value="1" enabled="false" />
          </Parameters>
        </TestFunction>
        <Parameters />
      </TestStep>
      <TestProcedureAfter enabled="True">
        <TestFunction id="f802779b-3c26-4ca3-9105-59b06145a4de" name="Rotate" type="TestFunction" blockid="830ae915-4c6c-4466-adcb-281ffec443d8" functionid="Rotate" condition="" enabled="true" position="624,364.08">
          <Parameters>
            <Parameter id="Num_Steps" name="Number of steps" value="1" enabled="false" />
            <Parameter id="Direction" name="Direction" value="r" enabled="true" />
          </Parameters>
        </TestFunction>
        <Parameters />
      </TestProcedureAfter>
    </TestProcedure>
  </TestProcedures>
  <Options>
    <ProvidedFunctions>
      <Function id="General" name="Options">
        <Parameter id="Repetitions" name="Repetitions" type="int" value="201" min="1" description="Repetition Count" />
        <Parameter id="enableLimits" name="Enable Limit Tests" type="bool" value="True">
          <description>Enable result limits check in sequencer.</description>
        </Parameter>
        <Parameter id="ContinueOnFail" name="Continue on Limit Fail" type="bool" value="True">
          <description>Ignore failbins. Testrun won't stop if a fail occurs.</description>
        </Parameter>
        <Parameter id="enableProgressbar" name="Enable ProgressBar" type="bool" value="True">
          <description>Activate Progressbar?</description>
        </Parameter>
        <Parameter id="CheckBlockActive" name="Enable Check-Block" type="bool" value="True">
          <description>Execute Check Block functions before start of test?</description>
        </Parameter>
      </Function>
      <Function id="Debug" name="Debugging">
        <Parameter id="BdfCheck" name="Enable BDF Check" type="bool" value="True">
          <description>Start sequencer with consistency check between testplan and Dll's?</description>
        </Parameter>
        <Parameter id="enableBreakpoints" name="Enable Breakpoints" type="bool" value="True" />
        <Parameter id="ScpiDebug" name="SCPI Commands" type="int" value="1" description="Debugging options for VISA commands.">
          <enum>
            <item value="0"> None </item>
            <item value="1"> Write to Exec.Log </item>
            <item value="2"> Append OPC/SysErr </item>
            <item value="3"> Split and append OPC/SysErr  </item>
          </enum>
        </Parameter>
      </Function>
      <Function id="Log" name="Logging">
        <Parameter id="PathToLogFiles" name="LoggingPath" type="char[SHORTNAMELENGTH]" value="" description="Path To Log Files. Leave empty to use default." />
        <Parameter id="LogLevel" name="Log Level" type="char[SHORTNAMELENGTH]" value="NORMAL">
          <enum>
            <item value="NONE"> NONE </item>
            <item value="ERR"> ERR </item>
            <item value="WARN"> WARN </item>
            <item value="NORMAL"> NORMAL </item>
            <item value="VERBOSE"> VERBOSE </item>
            <item value="DEBUG_PRINT"> DEBUG_PRINT </item>
          </enum>
        </Parameter>
        <Parameter id="LiveViewReportId" name="LiveViewReport ID" type="char[SHORTNAMELENGTH]" value="Test" />
        <Parameter id="DutId" name="Dut ID" type="char[SHORTNAMELENGTH]" value="MyDUT" />
      </Function>
    </ProvidedFunctions>
  </Options>
  <Log level="Normal" target="tcp://0.0.0.0:5559" />
</Testplan>